package com.patzn.lims.file.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.file.entity.LmsFileFolder;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wangweidong
 * @since 2019-12-13
 */
public interface ILmsFileFolderService extends IBaseService<LmsFileFolder> {


    Page<LmsFileFolder> page(Page<LmsFileFolder> page, LmsFileFolder schoolFileFolder);


    List<LmsFileFolder> list(LmsFileFolder schoolFileFolder);

    boolean addFolder(LmsFileFolder sysFolder, Account account);

    boolean removeFolder(Long[] ids, Account account);
}
